### Enumeration

# Gimp FileChooserAction

#### Declaration

    enum Gimp.FileChooserAction

#### Description [src]

A type of file to choose from when actions are expected to choose a file. This is basically a mapping to %GtkFileChooserAction except for `GIMP_FILE_CHOOSER_ACTION_ANY` which should not be used for any GUI functions since we can’t know what you are looking for.

#### Members

`GIMP_FILE_CHOOSER_ACTION_ANY`

  No restriction.

  - Value: `-1`
  - Available since: 3.0
`GIMP_FILE_CHOOSER_ACTION_OPEN`

  Opens an existing file.

  - Value: `0`
  - Available since: 3.0
`GIMP_FILE_CHOOSER_ACTION_SAVE`

  Saves a file (over a new file or an existing one.

  - Value: `1`
  - Available since: 3.0
`GIMP_FILE_CHOOSER_ACTION_SELECT_FOLDER`

  Picks an existing folder.

  - Value: `2`
  - Available since: 3.0
`GIMP_FILE_CHOOSER_ACTION_CREATE_FOLDER`

  Picks an existing or new folder.

  - Value: `3`
  - Available since: 3.0